> ## Documentation Index
> Fetch the complete documentation index at: https://docs.connect-crm.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update an object

> Updates a single object. The object to be updated is identified by its ID.



## OpenAPI

````yaml patch /v1/objects/{identifier}
openapi: 3.1.0
info:
  version: 0.1.0
  title: Connect-CRM Backend API
servers:
  - url: https://api.connect-crm.com
security:
  - Bearer: []
paths:
  /v1/objects/{identifier}:
    patch:
      tags:
        - Objects
      summary: Update an object
      description: >-
        Updates a single object. The object to be updated is identified by its
        ID.
      operationId: updateObject
      parameters:
        - schema:
            type: string
            description: A UUID or slug to identify the object.
          required: true
          description: A UUID or slug to identify the object.
          name: identifier
          in: path
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateObjectBody'
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ObjectResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  statusCode:
                    type: number
                    example: 400
                  type:
                    type: string
                    example: invalid_request_error
                  code:
                    type: string
                    example: validation_type
                  requestId:
                    type: string
                    example: 123e4567-e89b-12d3-a456-426655440000
                required:
                  - statusCode
                  - type
                  - code
                  - requestId
        '401':
          description: Not Authorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  statusCode:
                    type: number
                    example: 404
                  type:
                    type: string
                    example: not_authorized_error
                  code:
                    type: string
                    example: not_authorized
                  requestId:
                    type: string
                    example: 123e4567-e89b-12d3-a456-426655440000
                required:
                  - statusCode
                  - type
                  - code
                  - requestId
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                properties:
                  statusCode:
                    type: number
                    example: 403
                  type:
                    type: string
                    example: forbidden_error
                  code:
                    type: string
                    example: forbidden
                  requestId:
                    type: string
                    example: 123e4567-e89b-12d3-a456-426655440000
                required:
                  - statusCode
                  - type
                  - code
                  - requestId
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  statusCode:
                    type: number
                    example: 404
                  type:
                    type: string
                    example: invalid_request_error
                  code:
                    type: string
                    example: not_found
                  requestId:
                    type: string
                    example: 123e4567-e89b-12d3-a456-426655440000
                required:
                  - statusCode
                  - type
                  - code
                  - requestId
        '409':
          description: Conflict
          content:
            application/json:
              schema:
                type: object
                properties:
                  statusCode:
                    type: number
                    example: 409
                  type:
                    type: string
                    example: invalid_request_error
                  code:
                    type: string
                    example: ''
                  requestId:
                    type: string
                    example: 123e4567-e89b-12d3-a456-426655440000
                required:
                  - statusCode
                  - type
                  - code
                  - requestId
        '500':
          description: Invalid Server
          content:
            application/json:
              schema:
                type: object
                properties:
                  statusCode:
                    type: number
                    example: 500
                  type:
                    type: string
                    example: invalid_error
                  code:
                    type: string
                    example: ''
                  requestId:
                    type: string
                    example: 123e4567-e89b-12d3-a456-426655440000
                required:
                  - statusCode
                  - type
                  - code
                  - requestId
components:
  schemas:
    UpdateObjectBody:
      type: object
      properties:
        singular_noun:
          type: string
          description: The singular form of the object's name.
        plural_noun:
          type: string
          description: The plural form of the object's name.
        archived_at:
          type:
            - string
            - 'null'
          format: date-time
          example: '2024-09-04T20:45:09Z'
          description: When the object was archived, if applicable.
    ObjectResponse:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/Object'
      required:
        - data
    Object:
      type: object
      properties:
        id:
          type: object
          properties:
            workspace_id:
              type: string
              example: 9293961c-df93-4d6d-a2cc-fc3e353b2d10
              description: A UUID to identify the workspace this object belongs to.
            object_id:
              type: string
              example: 9293961c-df93-4d6d-a2cc-fc3e353b2d10
              description: A UUID to identify the object.
          required:
            - workspace_id
            - object_id
        slug:
          type: string
          description: >-
            A unique, human readable slug to access the object through URLs and
            API calls. Formatted in snake case.
        singular_noun:
          type: string
          description: The singular form of the object's name.
        plural_noun:
          type: string
          description: The plural form of the object's name.
        created_at:
          type: string
          format: date-time
          example: '2024-09-04T20:45:09Z'
          description: When the object was created.
        epithet_path:
          type: object
          properties:
            attribute_id:
              type: string
              description: The ID of the attribute used for the epithet.
            object_id:
              type: string
              description: The ID of the object used for the epithet.
          required:
            - attribute_id
            - object_id
        is_system_object:
          type: boolean
          description: >-
            Whether the object is a system object (e.g. contacts, companies,
            deals) or a custom object.
        archived_at:
          type:
            - string
            - 'null'
          format: date-time
          example: '2024-09-04T20:45:09Z'
          description: When the object was archived, if applicable.
      required:
        - id
        - slug
        - singular_noun
        - plural_noun
        - created_at
        - epithet_path
        - is_system_object
        - archived_at
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer

````